<?xml version="1.0" encoding="UTF-8"?>
<odoo>
    <data>

		<!-- OPERATIONAL OBJECTIVE -->
        <record id="view_fleet_vehicle_type_tree" model="ir.ui.view">
            <field name="name">fleet.vehicle.type.tree</field>
            <field name="model">fleet.vehicle.type</field>
            <field name="priority" eval="8" />
            <field name="arch" type="xml">
                <tree string="Types of Vehicle">
                    <field name="name" />
                    <field name="code" />
                </tree>
            </field>
        </record>
		
        <record id="view_fleet_vehicle_type_form" model="ir.ui.view">
            <field name="name">fleet.vehicle.type.form</field>
            <field name="model">fleet.vehicle.type</field>
            <field name="priority" eval="8" />
            <field name="arch" type="xml">
                <form string="Types of Vehicle">
                    <sheet>
						<group col="4" colspan="4" name="general_detail">
							<field name="name" />
							<field name="code" />
						</group>
                    </sheet>
                </form>
            </field>
        </record>
		
        <record id="view_fleet_vehicle_type_search" model="ir.ui.view">
            <field name="name">fleet.vehicle.type.operational.search</field>
            <field name="model">fleet.vehicle.type</field>
            <field name="priority" eval="8" />
            <field name="arch" type="xml">
                <search string="Types of Vehicle">
                    <field name="name" />
                </search>
            </field>
        </record>

        <record model="ir.actions.act_window" id="act_open_fleet_vehicle_type_view">
            <field name="name">Types of Vehicle</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">fleet.vehicle.type</field>
            <field name="view_mode">tree,form</field>
            <field name="search_view_id" ref="view_fleet_vehicle_type_search" />
            <field name="domain">[]</field>
            <field name="context">{}</field>
			<field name="help" type="html">
              <p class="oe_view_nocontent_create">
                Click to add new vehicle type.
              </p>
			</field>
        </record>
        <record model="ir.actions.act_window.view" id="act_open_fleet_vehicle_type_view_form">
            <field name="act_window_id" ref="act_open_fleet_vehicle_type_view" />
            <field name="sequence" eval="20" />
            <field name="view_mode">form</field>
            <field name="view_id" ref="view_fleet_vehicle_type_form" />
        </record>
        <record model="ir.actions.act_window.view" id="act_open_fleet_vehicle_type_view_tree">
            <field name="act_window_id" ref="act_open_fleet_vehicle_type_view" />
            <field name="sequence" eval="10" />
            <field name="view_mode">tree</field>
            <field name="view_id" ref="view_fleet_vehicle_type_tree" />
        </record>

		<record id="fleet_vehicle_cmrgs_form" model="ir.ui.view">
            <field name="name">fleet.vehicle.cmrgs.form</field>
            <field name="model">fleet.vehicle</field>
            <field name="inherit_id" ref="fleet.fleet_vehicle_view_form"/>
            <field name="arch" type="xml">
                <field name="acquisition_date" position="after">
                    <field name="vehicle_type_id"/>
                    <field name="chassis_number"/>
                </field>
            </field>
        </record>

    </data>
</odoo>
